Пользователи Ubuntu — рискованные ребята или «Выпуск Ubuntu 14.04.2 LTS c обновлением графического стека и ядра Linux».

Это статья - предостережение пользователей Ubuntu 14.04 о том, что не надо обновлять графический стек и ядро Linux, без надобности.

В интернете "нашпиговали" статей про обновление Ubuntu до 14.04.2 .

Canonical анонсировала об этом выпуске:
Вот отличный перевод на Opennet:

Данная новость разлетелась на кучах сайтов.

В общем, пользователи Ubuntu - очень рискованные ребята.

Вот так просто брать и обновлять графический стек и ядро на операционной системе долгосрочной поддержки.

Но и разработчики Ubuntu тоже молодцы, выкатили вообще сырое обновление, которое может сломать систему.

Новые сборки Ubuntu 14.04.2 нормально собранные и с нуля устанавливать их вполне безопасно.

Но хочу еще раз напомнить пользователям:

Если вы установили релиз Ubuntu LTS, то есть, с долгосрочной поддержкой, то не обновляйте ядро или "иксы" самостоятельно.

Если Вы хотите стабильность, то ждите, пока обновление не придет в штатном порядке вместе с обновлением системы.

Все те, кто еще не успел ничего сломать. Не обновляйтесь.

Если сломали, то удаляйте новые установленные пакеты.

Если хотите более свежее ядро и иксы, то обновляйтесь c Ubuntu 14.04 до 14.10.

  • https://www.blogger.com/profile/08136560162785392627 ravilshv

    а я обновил и все работает

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      32 битная система?

    • https://www.blogger.com/profile/08136560162785392627 ravilshv

      да, 32

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Судя по англоязычным форумам на 32битных проблем с обновлением не возникает.
      Но всё равно риск :).

    • https://www.blogger.com/profile/08136560162785392627 ravilshv

      хотя сначала через синаптик установил linux-headers-lts-utopic и с ним еще 4 зависимости потянулось, а потом ту команду, которую написали разработчики

    • https://www.blogger.com/profile/08136560162785392627 ravilshv

      тоже сомневался насчет обновится, в контакте в группе, написали, что обновились нормально и все работает

  • https://www.blogger.com/profile/01820092315809479371 Anton Serov

    А я обновил иксы с ядром и система сдохла. Пришлось переустанавливать.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Надо было просто удалить установленные пакеты. Откатиться назад.

    • https://www.blogger.com/profile/01820092315809479371 Anton Serov

      для этого надо хотя бы загрузиться 😀
      Система 14.04.2 32-х разр.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Груб меню вызвать и войти на старом ядре, или зайти в рекавери меню.

      Вот в этой статье:
      http://www.linuxrussia.com/2014/10/return-sudo-ubuntu.html
      1 шаг.
      На будущее, может пригодится, когда нибудь 🙂

    • https://www.blogger.com/profile/01820092315809479371 Anton Serov

      Да в первые два раза нормально перезагрузился. Я взял и удалил через синаптик старое ядро. После чего система при загрузке повисла.

    • https://www.blogger.com/profile/11900748343428848290 Vladislav Bologov

      обновился, все ок, глюков не замечено, все работает.

  • https://www.blogger.com/profile/02233856783161763072 Vadimka Vadimka

    После обновления на 14.04.2 (x64) были глюки с графической системой. После чистой установки работало все нормально (по крайней мере на первый взгляд), только есть одно НО! Напрочь отказался ставиться Qt Creator из центра приложений. При этом выкидываются какие-то нелепые ошибки. Пришлось вернуться на 14.04.1.

    • https://www.blogger.com/profile/01820092315809479371 Anton Serov

      к самой 14.04.2 (32) претензий почти нет. Лишь некоторый софт пришлость переустановить со сторонних репозиториев на убунтовский, иначе глючил (xneur, например). А вот смена иксов и ядра отозвалась крэшем. Причем не сразу.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Чистая установка, конечно, это хорошо. Но ОС нужна для того, чтобы ей пользоваться, а не мучиться с перестановкой каждый день.

      Если хотите более свежие пакеты, более новое ядро, графический стек, то нужно пользоваться последней версией Ubuntu.
      А если LTS ставите, то не стоит экспериментировать с такими важными вещами.

  • https://www.blogger.com/profile/04880262300486968149 Дмитрий Белякин

    Эдуард, здравствуйте. Есть небольшая проблемка с емэйл оповещениями с аск-сервиса, вот скрин:
    http://storage4.static.itmages.ru/i/15/0223/h_1424681971_5482406_45cdbb69a4.png
    Ссылка отображается без http, на нее невозможно нажать и быстро перейти в топик.
    И второе, в аске регистрируются подозрительные аккаунты вида ЖенскоеИмяЦифраЦифраНаборБукв)

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Привет.
      1. В разных почтовых ящиках по разному отображается. В админке поправить не могу. В исходном коде движка я даже не знаю куда лезть.
      В gmail отображается ссылка нормально. В яндекс почте ссылка отображается текстом.

      2. Не могу же я запретить регистрацию аккаунтов :). Те, кто спам шлют, тех я блокирую и удаляю. А так пусть регистрируются.

      Спасибо большое за участие в ответах и вопросах. 🙂

  • Анонимный

    Обновился на x64 системе. Удалился Скайп, остальное все работало без проблем. Но, появились пакеты для автоудаления и "ничейные" файлы настроек. Вот после их удаления система и отказалась запускаться в графическом режиме. Откат на предыдущие пакеты графического стека восстановили нормальную работу, но опять появились пакеты для автоудаления и "ничейные" файлы настроек. Их удаление опять сломало графику. После третьего раза оставил новые пакеты графики и не стал удалять "ненужные" пакеты. Пока все работает нормально.

    • https://www.blogger.com/profile/13630984781877659255 Yirt

      Аналогичная ситуация и у меня, вдобавок ещё и стим пропал из меню. Хотя из папки запускался нормально, пришлось создать ярлык. "Ненужные" пакеты тоже не удалял.

  • https://www.blogger.com/profile/06693924407300699555 Youriko

    sudo apt-get dist-upgrade стоит делать или нет?

    • https://www.blogger.com/profile/02233856783161763072 Vadimka Vadimka

      я бы не делал, а так это дело каждого)

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Как раз таки лучше выполнять dist-upgrade.
      Потому что в случае upgrade просто обновляются существующие пакеты. А в случае dist-upgrade устанавливаются зависимости и недостающие пакеты.

      Вот полная информация из документации:
      http://www.debian.org/doc/manuals/apt-howto/ch-apt-get.ru.html#s-upgrade

    • Анонимный

      У меня после sudo apt-get dist-upgrade все работало нормально, а вот после sudo apt install linux-generic-lts-utopic xserver-xorg-lts-utopic libegl1-mesa-drivers-lts-utopic xserver-xorg-video-all-lts-utopic xserver-xorg-input-all-lts-utopic пошла свистопляска.

  • http://vluminous.livejournal.com/ vluminous

    После попытки побновляться все закончилось переустановкой системы. Теперь не могу вспомнить, как назначить домашнюю папку на другой диск и раздел, потому что я хочу ее из загрузочного/сиситемного раздела убрать.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Опишите подробнее, что хотите сделать.

    • http://vluminous.livejournal.com/ vluminous

      У меня в персоналке установлен один "системный" SSD и для данных диск HDD. Домашняя папка пользователя user, под которым стартует система, автоматически размещена в каталог homeuser
      После того, как я прошлый раз все установил, я по какой-то инструкции переместил этот каталог на диск с данными, но теперь не могу сообразить, как эту процедуру повторить, т.к. повторно нахожу какие-то инструкции и они мне не помогают. Т.е. хочу убрать содержимое каталога с раздела sda1 в раздел sdb1 или sdb2

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Вот эту статью посмотрите:
      http://www.linuxrussia.com/2013/11/ssd-ubuntu-hdd.html
      Там примерно то что ищете есть

    • http://vluminous.livejournal.com/ vluminous

      Да, как раз то, что мне нужно. Я когда просматриваю скрытые каталоги и скрытые файлы в папке home, то вижу, что практически все должны оставаться на прежнем месте. И только файлы документов, музыки, загрузки и т.д. хочется автоматически размещать на HDD прежде всего из-за увеличенного размера жесткого диска.

  • Анонимный

    на 14.04.1 нормально не устанавливались драйвера для geforce не поднимались иксы после обновления драйверы установились и икс окружение работает нормально так что обновляться или нет решать вам но по моему если бы не было необходимости обновление не вышлобы

  • Анонимный

    обновление завершилось с ошибкой — переустановил систему.
    почта не отправляется — переустановил систему.
    не найду как сменить раскладку — переустановил систему.
    Зачем так себя мучить спрашивается.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Для меня перестановка системы, установка и настройка всех программ заново — страшный сон :).

      Хочется тоже донести это до людей, что лучше поправить ошибку, приведшую к поломке, чем заново ставить систему и потом опять наступать на грабли.

    • Анонимный

      Так вот и я ж про это. Советовать новичкам при каждом чихе переустанавливать систему не есть правильно-) Линукс не надо вообще переустанавливать. Ну и бекапы никто не отменял конечно.

  • Анонимный

    мдаа, с иксами поплясать пришлось, стек откатил, от греха подальше ……

  • https://www.blogger.com/profile/05457538271884216356 виктор

    я не обновляюсь жду когда всё само прилетит зачем рисковать когда всё и так работает как часы

  • Анонимный

    Привет всем. Только вчера отказался от Винды, достала своим бутлоком. Ребята, подскажите пожалуйста, в браузерах Cromium и Firefox, а также в Rhytmbox не воспроизводяться медиа-файлы. Система на i386, ось — Ubuntu MATE 14.04. Заранее спасибо.

    • Анонимный

      Попробуйте в терминале выполнить команды:
      sudo apt-get install ubuntu-restricted-extras
      sudo apt-get install pepperflashplugin-nonfree
      sudo update-pepperflashplugin-nonfree —install

    • Анонимный

      Спасибо